<div class="card">
  <div class="card-header">
    <div class="row">
      <div class="col-6">
        <h2 class="card-title">Lista de adquisiciones</h2>
      </div>
      <div class="col-6 text-end">
        <button mat-flat-button color="accent" routerLink="./add">
          Agregar
        </button>
      </div>
    </div>
  </div>
  <div class="card-body">
    <div class="row mb-3">
      <div class="col-6">
        <div class="input-group mb-3">
          <input
            type="text"
            class="form-control"
            placeholder="Buscar"
            (keyup)="applyFilter($event)"
            #input
          />
          <span class="input-group-text" id="basic-addon1">
            <mat-icon>search</mat-icon>
          </span>
        </div>
      </div>
    </div>
    <table mat-table [dataSource]="dataSource">
      <ng-container matColumnDef="id">
        <th mat-header-cell *matHeaderCellDef>No.</th>
        <td mat-cell *matCellDef="let element">{{ element.id }}</td>
      </ng-container>

      <ng-container matColumnDef="presupuesto">
        <th mat-header-cell *matHeaderCellDef>Presupuesto</th>
        <td mat-cell *matCellDef="let element">
          {{ element.presupuesto | currency : "COP" }}
        </td>
      </ng-container>

      <ng-container matColumnDef="unidad">
        <th mat-header-cell *matHeaderCellDef>Unidad</th>
        <td mat-cell *matCellDef="let element">{{ element.unidad }}</td>
      </ng-container>

      <ng-container matColumnDef="tipo">
        <th mat-header-cell *matHeaderCellDef>Tipo</th>
        <td mat-cell *matCellDef="let element">{{ element.tipo }}</td>
      </ng-container>

      <ng-container matColumnDef="total">
        <th mat-header-cell *matHeaderCellDef>V. Total</th>
        <td mat-cell *matCellDef="let element">
          {{ element.valorTotal | currency : "COP" }}
        </td>
      </ng-container>

      <ng-container matColumnDef="fecha">
        <th mat-header-cell *matHeaderCellDef>F. Adquisicion</th>
        <td mat-cell *matCellDef="let element">
          {{ element.fechaAdquisicion | date }}
        </td>
      </ng-container>

      <ng-container matColumnDef="acciones">
        <th mat-header-cell *matHeaderCellDef>Acciones</th>
        <td mat-cell *matCellDef="let element">
          <button
            mat-icon-button
            color="accent"
            [routerLink]="['./view', element.id]"
          >
            <mat-icon>visibility</mat-icon>
          </button>
          <button
            mat-icon-button
            color="primary"
            [routerLink]="['./edit', element.id]"
          >
            <mat-icon>edit</mat-icon>
          </button>
          <button mat-icon-button color="warn" (click)="openConfirm(element)">
            <mat-icon>delete</mat-icon>
          </button>
        </td>
      </ng-container>

      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns"></tr>
    </table>

    <mat-paginator
      [pageSizeOptions]="[5, 10, 20]"
      showFirstLastButtons
      aria-label="Select page of periodic elements"
    >
    </mat-paginator>
  </div>
</div>

<swal
  #deleteSwal
  title="Advertencia!"
  text="Esta seguro que desea eliminar este Registro"
  icon="question"
  cancelButtonText="Cancelar"
  confirmButtonColor="#14D9A1"
  [showCancelButton]="true"
  [focusCancel]="true"
  (confirm)="deleteAd()"
>
</swal>
